X11-1.6.1.2: A binding to the X11 graphics library

Copyright | (c) Haskell.org, 2012 (c) Jochen Keil, 2012
License | BSD3
Maintainer | Ben Boeckel <mathstuf@gmail.com> , Jochen Keil <jochen dot keil at gmail dot com>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.X11.Xrandr

Description

Synopsis

- data XRRScreenSize = XRRScreenSize {
  - xrr_ss_width :: !CInt
  - xrr_ss_height :: !CInt
  - xrr_ss_mwidth :: !CInt
  - xrr_ss_mheight :: !CInt
  }
- data XRRModeInfo = XRRModeInfo {
  - xrr_mi_id :: !RRMode
  - xrr_mi_width :: !CUInt
  - xrr_mi_height :: !CUInt
  - xrr_mi_dotClock :: !CUInt
  - xrr_mi_hSyncStart :: !CUInt
  - xrr_mi_hSyncEnd :: !CUInt
  - xrr_mi_hTotal :: !CUInt
  - xrr_mi_hSkew :: !CUInt
  - xrr_mi_vSyncStart :: !CUInt
  - xrr_mi_vSyncEnd :: !CUInt
  - xrr_mi_vTotal :: !CUInt
  - xrr_mi_name :: !String
  - xrr_mi_modeFlags :: !XRRModeFlags
  }
- data XRRScreenResources = XRRScreenResources {
  - xrr_sr_timestamp :: !Time
  - xrr_sr_configTimestamp :: !Time
  - xrr_sr_crtcs :: [RRCrtc]
  - xrr_sr_outputs :: [RROutput]
  - xrr_sr_modes :: [XRRModeInfo]
  }
- data XRROutputInfo = XRROutputInfo {
  - xrr_oi_timestamp :: !Time
  - xrr_oi_crtc :: !RRCrtc
  - xrr_oi_name :: !String
  - xrr_oi_mm_width :: !CULong
  - xrr_oi_mm_height :: !CULong
  - xrr_oi_connection :: !Connection
  - xrr_oi_subpixel_order :: !SubpixelOrder
  - xrr_oi_crtcs :: [RRCrtc]
  - xrr_oi_clones :: [RROutput]
  - xrr_oi_npreferred :: !CInt
  - xrr_oi_modes :: [RRMode]
  }
- data XRRCrtcInfo = XRRCrtcInfo {
  - xrr_ci_timestamp :: !Time
  - xrr_ci_x :: !CInt
  - xrr_ci_y :: !CInt
  - xrr_ci_width :: !CUInt
  - xrr_ci_height :: !CUInt
  - xrr_ci_mode :: !RRMode
  - xrr_ci_rotation :: !Rotation
  - xrr_ci_outputs :: [RROutput]
  - xrr_ci_rotations :: !Rotation
  - xrr_ci_possible :: [RROutput]
  }
- compiledWithXrandr :: Bool
- type Rotation = Word16
- type Reflection = Word16
- type SizeID = Word16
- data XRRScreenConfiguration
- xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt))
- xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt))
- xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration)
- xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO ()
- xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status
- xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status
- xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation)
- xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time)
- xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize])
- xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort])
- xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID)
- xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort
- xrrRootToScreen :: Display -> Window -> IO CInt
- xrrSelectInput :: Display -> Window -> EventMask -> IO ()
- xrrUpdateConfiguration :: XEvent -> IO CInt
- xrrRotations :: Display -> CInt -> IO (Rotation, Rotation)
- xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize])
- xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort])
- xrrTimes :: Display -> CInt -> IO (Time, Time)
- xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo)
- xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo)
- xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO ()
- xrrGetOutputPrimary :: Display -> Window -> IO RROutput
- xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom])

# Documentation

data XRRScreenSize Source

Representation of the XRRScreenSize struct

Constructors

XRRScreenSize |

Fields

xrr_ss_width :: !CInt
xrr_ss_height :: !CInt
xrr_ss_mwidth :: !CInt
xrr_ss_mheight :: !CInt

Instances

Show XRRScreenSize Source |
Storable XRRScreenSize Source |

data XRRModeInfo Source

Representation of the XRRModeInfo struct

Constructors

XRRModeInfo |

Fields

xrr_mi_id :: !RRMode
xrr_mi_width :: !CUInt
xrr_mi_height :: !CUInt
xrr_mi_dotClock :: !CUInt
xrr_mi_hSyncStart :: !CUInt
xrr_mi_hSyncEnd :: !CUInt
xrr_mi_hTotal :: !CUInt
xrr_mi_hSkew :: !CUInt
xrr_mi_vSyncStart :: !CUInt
xrr_mi_vSyncEnd :: !CUInt
xrr_mi_vTotal :: !CUInt
xrr_mi_name :: !String
xrr_mi_modeFlags :: !XRRModeFlags

Instances

Eq XRRModeInfo Source |
Show XRRModeInfo Source |
Storable XRRModeInfo Source |

data XRRScreenResources Source

Representation of the XRRScreenResources struct

Constructors

XRRScreenResources |

Fields

xrr_sr_timestamp :: !Time
xrr_sr_configTimestamp :: !Time
xrr_sr_crtcs :: [RRCrtc]
xrr_sr_outputs :: [RROutput]
xrr_sr_modes :: [XRRModeInfo]

Instances

Eq XRRScreenResources Source |
Show XRRScreenResources Source |
Storable XRRScreenResources Source |

data XRROutputInfo Source

Representation of the XRROutputInfo struct

Constructors

XRROutputInfo |

Fields

xrr_oi_timestamp :: !Time
xrr_oi_crtc :: !RRCrtc
xrr_oi_name :: !String
xrr_oi_mm_width :: !CULong
xrr_oi_mm_height :: !CULong
xrr_oi_connection :: !Connection
xrr_oi_subpixel_order :: !SubpixelOrder
xrr_oi_crtcs :: [RRCrtc]
xrr_oi_clones :: [RROutput]
xrr_oi_npreferred :: !CInt
xrr_oi_modes :: [RRMode]

Instances

Eq XRROutputInfo Source |
Show XRROutputInfo Source |
Storable XRROutputInfo Source |

data XRRCrtcInfo Source

Representation of the XRRCrtcInfo struct

Constructors

XRRCrtcInfo |

Fields

xrr_ci_timestamp :: !Time
xrr_ci_x :: !CInt
xrr_ci_y :: !CInt
xrr_ci_width :: !CUInt
xrr_ci_height :: !CUInt
xrr_ci_mode :: !RRMode
xrr_ci_rotation :: !Rotation
xrr_ci_outputs :: [RROutput]
xrr_ci_rotations :: !Rotation
xrr_ci_possible :: [RROutput]

Instances

Eq XRRCrtcInfo Source |
Show XRRCrtcInfo Source |
Storable XRRCrtcInfo Source |

compiledWithXrandr :: Bool Source

type Rotation = Word16 Source

type Reflection = Word16 Source

type SizeID = Word16 Source

data XRRScreenConfiguration Source

Instances

Eq XRRScreenConfiguration Source |
Data XRRScreenConfiguration Source |
Ord XRRScreenConfiguration Source |
Show XRRScreenConfiguration Source |

xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt)) Source

xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt)) Source

xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration) Source

xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO () Source

xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status Source

xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status Source

xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation) Source

xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time) Source

xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize]) Source

xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort]) Source

xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID) Source

xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort Source

xrrRootToScreen :: Display -> Window -> IO CInt Source

xrrSelectInput :: Display -> Window -> EventMask -> IO () Source

xrrUpdateConfiguration :: XEvent -> IO CInt Source

xrrRotations :: Display -> CInt -> IO (Rotation, Rotation) Source

xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize]) Source

xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort]) Source

xrrTimes :: Display -> CInt -> IO (Time, Time) Source

xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources) Source

xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo) Source

xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo) Source

xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources) Source

xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO () Source

xrrGetOutputPrimary :: Display -> Window -> IO RROutput Source

xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom]) Source